#!/bin/sh
set -e

# Remove cronjob
rm /etc/periodic/daily/kanboard

# Remove service
rc-update del kanboard || true
rm -f /etc/init.d/kanboard
rc-update -u

# Drop database and user
[ ! -e /run/openrc/started/postgres ] && service postgres start && STOP_POSTGRES=1
echo 'DROP DATABASE kanboard; DROP ROLE kanboard;' | lxc-attach -u 5432 -g 5432 postgres -- psql
[ ! -z ${STOP_POSTGRES} ] && service postgres stop
